com.mockobjects.io

## Class MockPrintStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - com.mockobjects.io.MockPrintStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

    public class MockPrintStream
    extends java.io.PrintStream

### Constructor Summary

Constructors
Constructor and Description
`MockPrintStream()`
`MockPrintStream(java.io.OutputStream out)`
`MockPrintStream(java.io.OutputStream out, boolean autoFlush)`

### Method Summary

Methods
`void` `becomeErrorStream()`
`void` `println(java.lang.Object anObject)`
`void` `println(java.lang.String aString)`
`void` `restoreErrorStream()`
`void` `setExpectedPrintlnCalls(int calls)`
`void` `setExpectedStringSegment(java.lang.String aString)`
`void` `verify()`

### Methods inherited from class java.io.PrintStream

`append, append, append, append, append, append, checkError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, write, write`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockPrintStream

    public MockPrintStream()

#### MockPrintStream

    public MockPrintStream(java.io.OutputStream out)

#### MockPrintStream

    public MockPrintStream(java.io.OutputStream out,
                   boolean autoFlush)

### Method Detail

#### becomeErrorStream

    public void becomeErrorStream()

#### println

    public void println(java.lang.Object anObject)

Overrides:
  `println` in class `java.io.PrintStream`

#### println

    public void println(java.lang.String aString)

Overrides:
  `println` in class `java.io.PrintStream`

#### restoreErrorStream

    public void restoreErrorStream()

#### setExpectedPrintlnCalls

    public void setExpectedPrintlnCalls(int calls)

#### setExpectedStringSegment

    public void setExpectedStringSegment(java.lang.String aString)

#### verify

    public void verify()